Announcement

Collapse
No announcement yet.

"Not Acceptable" error...

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • "Not Acceptable" error...

    Hi there, I've actually never seen this error pop up before, and at the most, a week ago, it was working fine.

    Problem:
    When trying to access the "Search IP Addresses " option in either ModCP or AdminCP, I get this error:
    Not Acceptable
    An appropriate representation of the requested resource /forums/modcp/user.php could not be found on this server.

    I haven't changed any files or anything, and I can't figure out what could be making it do that.

    Also, this was after the problems we were having with ZendOptimizer. I updated our ZendOptimizer to the newest version, and that seemed to fix the big errors we were having on the board, and then I just noticed this come up, so I'm not sure if they're related or anything.

    Insight would be nice.

  • #2
    Are you running mod_security ?

    Comment


    • #3
      mod_security, what? Sorry, I'm not quite sure what that is.

      Comment


      • #4
        I am getting this error as well, it seems to randomly do it when I update a template... this happens in both Mozilla and IE, so I know its not the browser, but I DO know that it did start randomly happening ever since the host installed PHP 4.3.10. It is also happening with non-vbulletin scripts as well.

        PHP Info can be found over here: http://www.anfiniti.net/phpinfo.php

        It is very annoying as I can't update some of my templates.

        Comment


        • #5
          It is due to the apache module, mod_security


          Code:
          Loaded Modules:[b][i][u]mod_security[/u][/i][/b], mod_auth_passthrough, mod_log_bytes, mod_bwlimited, mod_php4, mod_frontpage, mod_ssl, mod_setenvif, mod_so, mod_auth, mod_access, mod_rewrite, mod_alias, mod_userdir, mod_actions, mod_imap, mod_asis, mod_cgi, mod_dir, mod_autoindex, mod_include, mod_status, mod_negotiation, mod_mime, mod_log_config, mod_env, http_core

          Comment


          • #6
            I get "not acceptable" errors on the forum when I type in a certain combination of characters. See if you can figure what combination of characters creates the error. On my board I have the error every time I type in "tFTP x" anywhere on the board and try to preview it or post it. I used to get it every time I typed "insert into" but that went away after a vBulletin upgrade.

            Comment


            • #7
              Your host will need to unload mod security.,

              Comment


              • #8
                Ok, I am having this problem now as well. But here's the thing....are there adverse reactios to unloading mod_security? I mean...it must serve some purpose, right? It seems like it's sort of strange that all of a sudden I need my host to unload something for vb to work properly.
                V1 Bad Bunny Emoticons > (For Dark BGs)
                Squarehead V1 Emoticons -
                Let Users select postbit style!

                Comment


                • #9
                  Originally posted by Zachery
                  Your host will need to unload mod security.,
                  In my case the Admin was able to tweak the mod_security settings to allow things to work.

                  However I also ran across this in my searches for a solution...

                  So what to do? Well, I could call up my host every time I find a word that gets blocked. But that would take, like, forever. In one entry alone I usually have more than 200 words — how should I know which is getting blocked without the master logs from the host?

                  I just can’t deal with that, sorry. Yeah, but you know if you put

                  <IfModule mod_security.c> SecFilterEngine Off </IfModule>

                  into your .htaccess file, it turns it off, just for you! Don’t you feel special?
                  Whether this works or not I don't know as my host was able to resolve my problem.

                  No affiliation, etc., but the entire blog can be found here.

                  Comment


                  • #10
                    Thanks, bro. I'll test it out, and hopefully all goes well. I appreciate all the help you've given me in this.
                    V1 Bad Bunny Emoticons > (For Dark BGs)
                    Squarehead V1 Emoticons -
                    Let Users select postbit style!

                    Comment

                    widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                    Working...
                    X